#!/usr/bin/env bash

set -e

#check to make sure this is a 64-bit machine
getconf LONG_BIT | grep 64 > /dev/null  || ( echo "Git Fusion requires a 64-bit machine. Exiting." && exit 1)
sudo rpm --import http://package.perforce.com/perforce.pubkey
#create the file to hold the package info
#sudo touch /etc/yum.repos.d/perforce.repo

#Update sources list with the Perforce Package repo.
sudo echo "[perforce]
name=Perforce 
baseurl=http://package.perforce.com/yum/rhel/6/x86_64
enabled=1 
gpgcheck=1" >> /etc/yum.repos.d/perforce.repo
sudo yum -y update
sudo yum -y install curl openssh-server postfix cronie
sudo service postfix start
 sudo chkconfig postfix on
 sudo lokkit -s http -s ssh

   curl -O ftp://ftp.perforce.com/perforce/r15.2/bin.centos6x86_64/perforce-gitswarm-2015.2.el6.x86_64.rpm
   sudo rpm -i perforce-gitswarm-2015.2.el6.x86_64.rpm


